> For the complete documentation index, see [llms.txt](https://docs.zingg.ai/zingg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zingg.ai/zingg/versions/enterprise-v0.9.1/explainoutput/which-records-matched-with-each-other-in-a-cluster.md).

# Which records matched with each other in a cluster

Ready to audit a cluster? Plug in the Zingg ID and go. Get pair-level traceability for clusters.

[Zingg Enterprise Feature](#user-content-fn-1)[^1]

Many times, records end up being in a cluster even when they may not have directly matched. For example Recod A matched with B, and B matched with C. Some records may match a lot more to other records in the cluster, while one record may just match with one andhence get included in the cluster. If you want to audit clusters, investigate anomalies, present rationale to stakeholders, or refine your matching strategy with confidence, it is important to understand pair wise matching.

The `explain` phase helps us learn this.

## Configuration

The `explain` configuration references the original matching config and defines where to write the results.

```json
{
  "config": "path_to_original_matching_config/config.json",
  "explainOutput": {
      "name": "outputExplain",
      "format": "csv",
      "props": {
        "location": "/tmp/zinggOutput_explain",
        "delimiter": ",",
        "header": true
      }
    }
}  
```

Run the **explain** phase from your Zingg Enterprise Installation and pass the Zingg ID of the cluster you want to inspect:

```
./scripts/zingg.sh --phase explain --zinggid <zingg-id> --conf <path-to-explain-config.json>
```

Example:

```
./scripts/zingg.sh --phase explain \
  --zinggid ea67d79a-56a7-4431-ab55-d08bb3c10e2e \
  --conf ./examples/febrl/explainConfig.json
```

This will provide a pair-level view `(pk1, pk2)` for the selected Zingg ID

* `pk1`: Primary key (record ID) of the first record in the pair
* `pk2`: Primary key (record ID) of the second record in the pair

[^1]: Zingg Enterprise is the suite of proprietary products licensed by Zingg. Please refer to <https://www.zingg.ai/product/zingg-entity-resolution-compare-versions> for individual tier features.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zingg.ai/zingg/versions/enterprise-v0.9.1/explainoutput/which-records-matched-with-each-other-in-a-cluster.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
